@import '../colors';

h1,
h2,
.search-params {
  padding-left: 40px;
}

.workers,
.workers-status {
  .worker {
    padding: 5px;
    display: flex;

    .id,
    .ips,
    .ports,
    .instance_id,
    .dm_queue_name,
    .creation_date,
    .termination_date,
    .worker-name,
    .worker-orders {
      flex: 1;
    }

    .current-job,
    .job-status,
    .job-duration,
    .worker-version,
    .worker-queue,
    .worker-activity,
    .worker-status-last-update {
      flex: 0.6;
    }

    .ips .ip,
    .ports .port {
      background-color: @backGreen;
      border-radius: 6px;
      padding: 3px;
      margin-right: 3px;
    }
  }

  .worker:nth-child(2n + 1) {
    background-color: @lightGrey;
  }

  .worker.header {
    font-weight: bold;
    background-color: @green;
  }

  .worker-status {
    line-height: 36px;
    vertical-align: middle;
  }
}

.outdated {
  color: @grey;
  font-style: italic;
}

.paginator {
  margin-bottom: 80px;
}
